Which names to use?  Intersection/saturation vs intersect/saturate

10 Oct 2016 21:18 - John Abbott

Status: In Progress Start date: 10 Oct 2016

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category: Renaming Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.75 hour

Description

I notice that we have the following 2 names for functions: intersection and saturate.

In CoCoA-3 and CoCoA-4 we tended to use nouns (or adjectives) for most function names; in CoCoA-5 there is a move towards

verbs (e.g. factor).

Can we be more consistent?

Related issues:

Related to CoCoA-5 - Design #1456: IntersectList or IntersectionList New 06 May 2020

Related to CoCoALib - Feature #1619: Make saturate available in CoCoALib Closed 15 Oct 2021

History

#1 - 10 Oct 2016 21:20 - John Abbott

I have put this issue under CoCoALib, but it is just as relevant to CoCoA-5.

In general my personal preference is (usually) to use verbs, but I expect there are many exceptions (e.g. det).

#2 - 10 Nov 2016 09:21 - Anna Maria Bigatti

- Related to Slug #967: Improve saturate added

#3 - 18 Mar 2024 14:10 - Anna Maria Bigatti

- Subject changed from Which names to use?  Intersection vs saturate to Which names to use?  Intersection/saturation vs intersect/saturate

In CoCoA-4 we had intersection and saturation.  Now we have a mixture...

Singular and Macaulay use intersect and sat/saturate.

#4 - 18 Mar 2024 18:35 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Also IntersectionList

#5 - 18 Mar 2024 18:44 - Anna Maria Bigatti

- % Done changed from 10 to 20

[Conversation with Robbiano]

XXXX-ation gives a commutative feeling, XXXX-ate gives and action (non-commutative) feeling.

Let's compare with other similar situations in CoCoA.
#6 - 18 Mar 2024 21:45 - John Abbott

sat is perhaps too short, and may be ambiguous with the SAT (satisfiability) family of functions.

I'm undecided about intersection vs intersect; I feel that intersection sounds nicer, but intersect is shorter (quicker to read & write).  It would be odd to

have intersect and IntersectionList.

#7 - 20 Mar 2024 15:58 - Anna Maria Bigatti

- Related to Design #1456: IntersectList or IntersectionList added

#8 - 21 Mar 2024 17:57 - Anna Maria Bigatti

- Related to Feature #1619: Make saturate available in CoCoALib added

#9 - 21 Mar 2024 17:57 - Anna Maria Bigatti

- Related to deleted (Slug #967: Improve saturate)

#10 - 22 Mar 2024 10:20 - Anna Maria Bigatti

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99900

I prefer to go through similar situations before changing the current names.

Make a list.

Postponing.
